Bug 1730281 - podman leaks kernel memory due to return code stored in tmpfs
Summary: podman leaks kernel memory due to return code stored in tmpfs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: podman
Version: 8.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: 8.1
Assignee: Matthew Heon
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1186913 1727325 1734574
TreeView+ depends on / blocked
 
Reported: 2019-07-16 11:46 UTC by Michele Baldessari
Modified: 2019-11-05 21:03 UTC (History)
10 users (show)

Fixed In Version: podman-1.4.2-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 21:02:47 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github containers libpod pull 3551 'None' closed Fix memory leak with exit files 2020-02-21 21:18:30 UTC
Red Hat Product Errata RHSA-2019:3403 None None None 2019-11-05 21:03:41 UTC

Internal Links: 1755044

Description Michele Baldessari 2019-07-16 11:46:01 UTC
Description of problem:

This BZ is a spinoff from https://bugzilla.redhat.com/show_bug.cgi?id=1699202 . The investigation in the original kernel leak bug has shown that another leak occurred during the creation/destruction cycle of podman containers.

The upstream review meant to fix this leak is here: 
https://github.com/containers/libpod/pull/3551

The aim of this BZ is to A) track the fix in podman and B) separate this issue from the other analysis going on in rhbz#1699202

Comment 5 Joy Pu 2019-09-29 07:00:30 UTC
Can reproduce this with podman-1.1.0-1.git006206a.module+el8+2851+dbc75b3b.x86_64. Test with podman-1.4.2-5.module+el8.1.0+4240+893c1ab8.x86_64, the exist file is already not show up in the tmpfs /run/libpod/exist. Details:
# podman run --name test -d busybox
d3708281a63cb8437091a25d5f207a36d52266822467362e9d7afbd60730e8c3
# ls /run/libpod/exits/

Comment 7 errata-xmlrpc 2019-11-05 21:02:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3403


Note You need to log in before you can comment on or make changes to this bug.